Catalina : les applications prêtes et celles en attente

Florian Innocente |

Catalina disponible, plusieurs logiciels ont nécessité des adaptations, les mises à jour disponibles ou en instance de l'être. Cette liste sera complétée au fil des annonces des éditeurs.

En juin dernier, Quark prévoyait de certifier la compatibilité d'XPress 2019 dans un délai d'un mois après le lancement de Catalina. Pour mémoire, les versions 2019 à 2015 sont déjà 64 bits.

Dans une note publiée hier, Avid déconseille l'utilisation de ses logiciels de création audio sur Catalina pour le moment.

Steinberg donne le même conseil de différer le passage à Catalina. Il y a des problèmes à régler avec l'application Dorico et, plus globalement, avec le gestionnaire des licences de chacune des applications. Des informations seront publiées à la fin du mois.

Titanium Software, l'éditeur d'Onyx prévoit une mise à jour de son utilitaire de maintenance d'ici 10 à 15 jours.

Logitech prévoit des mises à jour 64 bits pour ses applications de contrôle des télécommandes Harmony. A priori il faut patienter jusqu'à la mi-novembre.

Antidote, le correcteur orthographique et grammatical a sorti sa mise à jour 2.4 de compatibilité.

Prolexis, son principal concurrent, est toujours en train de préparer la mise à jour automnale qui contiendra en outre de nouvelles fonctions.

Cogilog a une 10.4.9 à disposition, elle fonctionne jusqu'au 10.11 El Capitan.

8sens va passer d'une version 6 à une 8 pour une question d'uniformisation de sa gamme. Cette mise à jour sera 64 bits et disponible ce mois-ci. Il faut l'attendre avant de migrer vers Catalina prévient l'éditeur. Elle sera compatible jusqu'à macOS 10.10.5.

Tous Comptes Faits, d'Innomatix, prépare des mises à jour 64 bits de ses logiciels. Elles étaient prévues pour être payantes.

L'utilitaire système Default Folder X, qui ajoute plein de fonctions aux fenêtres d'enregistrement des fichiers est mis à jour en 5.4.

Apple Remote Desktop n'avait pas été touché par Apple depuis l'été 2017, il a été mis à jour hier et il gagne au passage la compatibilité avec le mode Sombre.

Voir aussi :

Pour aller plus loin :

avatar languedoc | 

Cogilog a publié la version 10.7.4.
Je ne suis pas encore passé à Catalina (ProLexis, oblige) mais Cogilog précise sur son site :
« Les mises à jour des logiciels COGILOG publiées à partir du 7 octobre 2019 sont « notarisées » et compatibles avec macOS 10.15 Catalina.»
Donc news à rectifier svp

avatar erom | 
avatar yeagermars | 

Le module de téléchargement My Canal compatible avec Silverlight ne marche plus...... Donc plus possible de télécharger des films au bureau avec la fibre pour les regarder à la maison.... Si quelqu'un à une autre solution Merci

avatar MonsieurPomme | 

@yeagermars

MyCANAL prépare une version Catalyst pour macOS

avatar huexley | 

C'est pas la fête avec la CC 2019.

avatar Nixam | 

@huexley

Bonjour,
Dans quels softs ? C'est utilisable ou pas du tout ?
Merci

avatar Civodul56 | 

@huexley

Qu’en est-il de la compatibilité Créative Cloud avec Catalina ?

avatar Kriskool | 

Chez moi impossible de faire fonctionner sidecar avec mon iPad pourtant j’ai tout vérifié ..

avatar Alberto8 | 

@Kriskool

Vérifier si vous avez le bon matériel ici :

https://support.apple.com/en-il/HT210380#systemrequirements

avatar jt_69.V | 

cisco anyconnect ne se connecte plus 😤

avatar fte | 

@jt_69.V

"cisco anyconnect"

Cisco Almostconnect?

avatar jt_69.V | 

@fte

Cisco Anyconnect est compatible 64bits depuis longtemps, apparemment c'est autre chose qui bloque. Il faut attendre la v. 4.8 👎

avatar raphta | 

On peut citer EyeTV (lecture TNT avec un dongle) qui attends sa mise à jour, mais pas de date annoncée.

avatar raphta | 

Ces logiciels pas à jour risquent de faire de Catalina l’os Apple le moins vite adopté.

avatar Bubblefreddo | 

A rajouter Universal Audio

Dear UAD User,

As you may know, Apple released macOS 10.15 Catalina today.

Please note — UAD and UA Audio Interface software cannot be installed on macOS Catalina.

We recommend that you wait until UAD software compatibility with Catalina is announced before updating to this new operating system.

Important: To prevent macOS from updating automatically, uncheck the “Install macOS updates” option in System Preferences > Software Update > Advanced options.

UAD compatibility with Catalina is being tested now and complete Catalina qualification will be released in a future UAD software update. For more information and the latest Catalina news, please read the article posted in our Knowledge Base.

Thanks for your consideration.

Sincerely,
The UA Support Team

avatar Azurea | 

Heureusement, mais alors heureusement qu'Apple avait prévenu depuis longtemps le passage au 64 bits.

avatar marc_os | 

@Azurea

Malheureusement il n’y a pas que ça qui emmerde les développeurs.

avatar Macrosa | 

Pas de MAJ pour les adapteurs wifi netgear. Mon a7000 est muette

avatar en chanson | 

@Macrosa

Apple annonce alors il faut déployer des ressources pour se dépêcher ? Quelle est ta logique ?

avatar FDM77 | 

Pour TCF d'innomatix, nous avons reçu un message indiquant qu'une beta sera disponible rapidement en attendant la version finale.

avatar Zara2stra | 

@FDM77

Oui, enfin aucune date prévisionnelle pour la version GM, et ce n'est pas sérieux de faire travailler les gens avec une bêta !

"L’éditeur nous a indiqué que toute la gamme allait devenir 64 bits et que les nouvelles versions devraient être prêtes pour la sortie de Catalina." (Macg, 4/07/2019)...
Est-ce à dire que cet éditeur ne s'attendait pas à une sortie si rapide de Catalina ? Ou est-ce plutôt qu'il n'a absolument pas anticipé en capitalisant sur une situation de rente ?

avatar fte | 

@Zara2stra

"Ou est-ce plutôt qu'il n'a absolument pas anticipé en capitalisant sur une situation de rente ?"

Ou il a rencontré des bugs bloquants de Catalina et attendu que les beta fixent les soucis, soucis qui n’ont peut-être pas été fixés pour la GM. Ça ne serait pas un cas isolé.

avatar macfredx | 

@Zara2stra

Quel rente ?
Ça fait je ne sais combien d'années que TCF n'a pas reçu de mise à jour payante. Une dizaine je dirais. Comme rente... 🙄

avatar Boboss29 | 

Propellerhead déconseille aussi d'utiliser Reason sur Catalina en attente d'un correctif.

avatar Cyrille50 | 

Et scansnap ?

avatar switch | 

La news est fausse concernant Cogilog: il faut à présent une version 10.11 minimum pour utiliser la dernière version (compatible Catalina)

avatar alexandre92 | 

Skype Entreprise est inutilisable malgré la mise à jour Microsoft Office proposée. (Lag, freeze, plantages...)

avatar Civodul56 | 

@alexandre92

E même temps, dans un usage PRO, y-avait-il urgence à télécharger la MAJ ? 😜

avatar smertz67 | 

C’est vraiment dommage qu’Apple ne propose pas de bêtas des mises à jours de MacOS avant leur sortie pour que les éditeurs puissent travailler sur la compatibilité leurs logiciels.

avatar macfredx | 

@smertz67

Oui, vraiment dommage.

avatar byte_order | 

@smertz67

C'est vraiment dommage que les développeurs aient besoin de manger et d'un toit et donc d'argent, aussi.
Quel dommage qu'ils ne soient pas tous des bénévoles offrant leur temps et leur compétence pour le bien de l'écosystème d'Apple, seule habilitée à réclamé d'être payée pour son travail.

PS: c'est également dommage que Catalina exige une machine pas trop vieille, aussi. Cela joue pas mal sur le coût d'adaptation d'un logiciel, surtout quand celui-ci ne génère que peu de recette avec la part de marché des Macs qui est ce qu'elle est...

avatar marc_os | 

@smertz67

😄😃

avatar MarcLarcher | 

Dorico de Steinberg vient d'être mis à jour (3.0.10) pour assurer la compatibilité avec Catalina.

avatar MarcLarcher | 

Après vérification, il apparaît que Dorico est le seul éditeur de partitions officiellement compatible avec Catalina… Un petit update de votre article ne serait sans doute pas superflu !

avatar G4_Cube | 

Bonjour. Y a t’il un article qui explique pourquoi Apple a souhaité en finir avec les applications en 32bits ?

avatar fte | 

@G4_Cube

"Y a t’il un article qui explique pourquoi Apple a souhaité en finir avec les applications en 32bits ?"

Je n’en ai pas vu. Mais je peux te donner une raison, excellente pour Apple par ailleurs (uniquement pour Apple).

Les applications utilisent des services et fonctionnalités mises à disposition par le système. Ces fonctionnalités sont, si les applications sont 32 bit, nécessairement en 32 bit également, du moins les services qui ne sont pas eux-mêmes des "applications" (processus distincts). Même lorsqu’il y a ce découpage, ces services doivent être capables de communiquer avec une application 32 bit. Et il en va de même lorsque l’application est 64 bit.

Il y a donc un dédoublement des fonctionnalités système ainsi que la nécessité de savoir converser avec des applications 32 bit ou 64 bit.

Supprimer le support des applications 32 bit permet d’éliminer ce dédoublement, de simplifier la communication entre processus, bref, de largement diminuer la charge de travail de développement, de maintenance, de test, etc. Donc les coûts.

Ceci en obligeant éditeurs tiers à adapter leurs applications à leurs frais, ou aux clients de mettre à jour leurs applications voire de changer d’applications, à nouveaux à leur frais bien entendu, Apple ne va pas prendre ces coûts, ce serait trop beau.

Gain pour l’utilisateur ? Zéro. Dans le meilleur des cas. Des applications un petit peu moins performantes ou plus gourmandes en mémoire, possible. Des frais de mises à jour, certainement. S’il s’agit de vieux matériels dont les drivers ne sont plus compatibles, éventuellement des frais d’équipement à prévoir.

avatar byte_order | 

@fte

Y'a aussi qu'en supprimant le support 32bits, c'est aussi faire sauter le besoin d'émuler le jeu d'instruction x86 32 bits dans la future migration sur du full ARM fait maison (et donc avec plus de marge encore). Double bonus, donc.
Voire triple, avec les gens qui vont du coup accepter de devoir (r)acheter la nouvelle version compatible Catalina sur le MAS (commission pour Apple) ou même de passer à un modèle par abonnement (là encore, probable commission pour Apple).

avatar fte | 

@byte_order

"c'est aussi faire sauter le besoin d'émuler le jeu d'instruction x86 32 bits dans la future migration sur du full ARM fait maison"

Oh juste. Bien pensé :)

avatar G4_Cube | 

@fte

Merci pour ces explications, très claires et pédagogiques 🤗

avatar yeagermars | 

Continuité ne marche plus chez moi, j'ai tout désactivé et tout réactivé, mais rien ne fonctionne.....

avatar a01a10 | 

Max, le convertisseur audio de sbooth ne fonctionne pas. Aucune MàJ n’a l’air prévue.

avatar SLV17000 | 

Le gestionnaire de mots de passe Bitwarden ne fonctionne pas je ne sais pas où ils en sont du développement de la mise à niveau.
J’ai pas testé iCompta et le logiciel de mon imprimante Brother.
Adviendra que pourra !...

avatar Ipadivore | 

— Papers3 vient de déployer une mise à jour pour Catalina : papers_3421_581 disponible sur : https://readcubesupport.freshdesk.com/facebook/support/solutions/articles/30000036920-crashing-on-mac-os-x-10-15-catalina-

— Antidote pour mail ne fonctionne pas en version 2.4

avatar SyMich | 

WinClone 8 est disponible pour Catalina

avatar elijahasimov | 

J'ai pris contact avec Logitech pour le contrôle de ma télécommande Harmony Touch et malgré le message d'avertissement , une fois sous Catalina la page https://support.myharmony.com/fr-fr/download renvoie désormais vers HarmonyDesktop.app qui fonctionne sous Catalina.
Cette application me parait être une adaptation de la version pour mobile.

avatar kristouf | 

Du monde à tester avec des applications native instruments ?

avatar Grug | 

Hazel de Noodlesoft annonce qu'il n'est pas encore prêt pour Catalina :(
https://www.noodlesoft.com/kb/hazel-catalina/

avatar PierreBondurant | 

Little Snitch a mis à jour son app pour Catalina

avatar Ipadivore | 

Macports pas encore dispo pour Catalina

avatar Stéphane83000 | 

Les produits matériels et logiciels Native Instruments ne sont pas supportés sous MacOS 10.15. Veuillez ne pas installer macOS 10.15 si vous utilisez des produits Native Instruments.

Pages

CONNEXION UTILISATEUR